package knotts;

import org.eclipse.persistence.mappings.foundation.AbstractTransformationMapping;
import org.eclipse.persistence.mappings.transformers.AttributeTransformer;
import org.eclipse.persistence.oxm.NamespaceResolver;
import org.eclipse.persistence.oxm.XMLDescriptor;
import org.eclipse.persistence.oxm.XMLField;
import org.eclipse.persistence.sessions.Record;
import org.eclipse.persistence.sessions.Session;

public class Address01AttributeTransformer implements AttributeTransformer {

	private XMLField xmlAddressLine01Field;
	private XMLField xmlHouseNbrField;
	private XMLField xmlStreetNameField;
	
	public void initialize(AbstractTransformationMapping mapping) {
		NamespaceResolver namespaceResolver = ((XMLDescriptor)mapping.getDescriptor()).getNamespaceResolver();
		
		xmlAddressLine01Field = new XMLField("ns:AddressLine01/text()");
		xmlAddressLine01Field.setNamespaceResolver(namespaceResolver);

		xmlHouseNbrField = new XMLField("ns:HouseNbr/text()");
		xmlHouseNbrField.setNamespaceResolver(namespaceResolver);

		xmlStreetNameField = new XMLField("ns:StreetName/text()");
		xmlStreetNameField.setNamespaceResolver(namespaceResolver);
	}

	public Object buildAttributeValue(Record record, Object object, Session session) {
		String xmlAddressLine01 = (String) record.get(xmlAddressLine01Field);
		String xmlHouseNbr = (String) record.get(xmlHouseNbrField);
		String xmlStreetName = (String) record.get(xmlStreetNameField);
				
		if(null == xmlAddressLine01) {
			return xmlHouseNbr + " " + xmlStreetName;
		} else {
			return xmlAddressLine01;
		}
	}	
		
}