package knotts;

import java.io.File;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import org.eclipse.persistence.oxm.*;

public class Demo {

	public static void main(String[] args) throws Exception {		
		display("input1.xml");
		display("input2.xml");
	}
	
	private static void display(String fileName) throws Exception {
		System.out.println("INPUT DOCUMENT");
		File file = new File(fileName);
		StreamSource xmlSource = new StreamSource(file);
		StreamResult xmlResult = new StreamResult(System.out);
		TransformerFactory.newInstance().newTransformer().transform(xmlSource, xmlResult);

		MyProject project = new MyProject();		
		XMLContext xmlContext = new XMLContext(project);
		
		System.out.println("\n\nADDRESS01 VALUE");
		XMLUnmarshaller unmarshaller = xmlContext.createUnmarshaller();
		Customer customer1 = (Customer) unmarshaller.unmarshal(file);
		System.out.println(customer1.getAddress01());
		
		System.out.println("\nOUTPUT DOCUMENT");
		XMLMarshaller marshaller = xmlContext.createMarshaller();
		marshaller.marshal(customer1, System.out);
		
		System.out.println();
		System.out.println();
		System.out.println();
	}
	
}
